Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlBase64Binary

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  XmlBase64BinaryImpl, XmlBase64BinaryRestriction

    public interface XmlBase64Binary

extends XmlAnySimpleType

Corresponds to the XML Schema xs:base64Binary type.

Convertible to a byte array.

Nested Class Summary
`static class` | `XmlBase64Binary.Factory` A class with methods for creating instances of `XmlBase64Binary`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`byte[]` | `byteArrayValue()` Deprecated. replaced by `getByteArrayValue()`
`byte[]` | `getByteArrayValue()` Returns this value as a byte array.
`void` | `set(byte[] ba)` Deprecated. replaced by `setByteArrayValue(byte[])`
`void` | `setByteArrayValue(byte[] ba)` Sets this value as a byte array.

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### byteArrayValue

    byte[] byteArrayValue()

  Deprecated. replaced by `getByteArrayValue()`

  Returns this value as a byte array.

### set

    void set(byte[] ba)

  Deprecated. replaced by `setByteArrayValue(byte[])`

  Sets this value as a byte array.

### getByteArrayValue

    byte[] getByteArrayValue()

  Returns this value as a byte array.

### setByteArrayValue

    void setByteArrayValue(byte[] ba)

  Sets this value as a byte array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD